import createAxios from '@/utils/request'

import { SUPERVISION_BOOT } from '@/utils/constantRequest'

const MAPPING_PATH = SUPERVISION_BOOT + '/tempLine'

/**
 * 提交监测点信息表单数据
 */
export const addMointorPointFormData = (data: any) => {
    return createAxios({
        url: '/supervision-boot/tempLine/add',
        method: 'POST',
        data: data
    })
}

//重新发起监测点信息
export const updateMointorPointFormData = (data: any) => {
    return createAxios({
        url: '/supervision-boot/tempLine/update',
        method: 'POST',
        data: data
    })
}

//取消发起监测点信息
export const cancelMointorPointFormData = (data: any) => {
    return createAxios({
        url: '/supervision-boot/tempLine/cancel',
        method: 'POST',
        data: data
    })
}


/**
 * 查询干扰源列表数据
 */
export const getList = (data: any) => {
    return createAxios({
        url: '/supervision-boot/userReport/getUserReportList',
        method: 'POST',
        data: data
    })
}


/**
 * 根据id获取终端录入的详细数据
 */
export const getTempLineDetailsById = (obj: any) => {
    let form = new FormData()
    form.append('id', obj.id)
    return createAxios({
        url:MAPPING_PATH + '/getDetail',
        method: 'POST',
        data:form
    })
}

